unit Unit20;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, pngimage, ExtCtrls;

type
  TForm20 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Edit1: TEdit;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Edit2: TEdit;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Button1: TButton;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Button2: TButton;
    Button3: TButton;
    Label20: TLabel;
    Label21: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Button4: TButton;
    Label22: TLabel;
    Button5: TButton;
    Label23: TLabel;
    Label24: TLabel;
    Button6: TButton;
    Image2: TImage;
    Button7: TButton;
    Label25: TLabel;
    procedure Label2Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form20: TForm20;

implementation

uses Unit21, Unit19, Unit17;

{$R *.dfm}

procedure TForm20.Button1Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit1.Text);
if s='24' then begin label17.caption:='corect';
                        label17.Font.Color:=clgreen;
end
else begin label17.Caption:='gresit';
           label17.Font.Color:=clred;
end;

end;

procedure TForm20.Button2Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit3.Text);
if s='6' then begin label20.Caption:='corect';
                    label20.Font.Color:=clgreen;
end
else begin label20.Caption:='gresit';
           label20.Font.Color:=clred;
end;

end;

procedure TForm20.Button3Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit4.Text);
if s='8' then begin label21.Caption:='corect';
                    label21.Font.color:=clgreen;
end
else begin label21.Caption:='gresit';
           label21.Font.Color:=clred;
end;


end;

procedure TForm20.Button4Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit2.Text);
if s='3' then begin label22.Caption:='corect';
                    label22.Font.Color:=clgreen;
end
else begin label22.Caption:='gresit';
           label22.Font.Color:=clred;
end;

end;

procedure TForm20.Button5Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit5.Text);
if s='INTERSECTIA' then begin label23.Caption:='corect';
                              label23.Font.Color:=clgreen;
 end
 else begin label23.Caption:='gresit';
            label23.Font.Color:=clred;
 end;

end;

procedure TForm20.Button6Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit6.Text);
if s='MEDIATOARELOR' then begin label24.Caption:='corect';
                                label24.Font.Color:=clgreen;
end
else begin label24.Caption:='gresit';
           label24.Font.Color:=clred;
end;

end;

procedure TForm20.Button7Click(Sender: TObject);
begin
form17.show;
form20.Visible:=false;
end;

procedure TForm20.Image1Click(Sender: TObject);
begin
form17.show;
form20.Visible:=false;
end;

procedure TForm20.Image2Click(Sender: TObject);
begin
form19.show;
form20.Visible:=false;
end;

procedure TForm20.Label2Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(label16.Caption);
if s='label2' then begin label16.caption:='corect';
                       label16.Font.Color:=clgreen;
end
else begin label16.Caption:='gresit';
           label16.Font.Color:=clred;
end;

end;

procedure TForm20.Label3Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(label16.Caption);
if s='label3' then begin label16.Caption:='gresit';
                         label16.Font.color:=clred;
end
else begin label16.Caption:='corect';
           label16.Font.Color:=clgreen;
end;
end;

procedure TForm20.Label4Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(label16.Caption);
if s='label4' then begin label16.Caption:='corect';
                         label16.Font.color:=clgreen;
end
else begin label16.caption:='gresit';
           label16.Font.Color:=clred;
end;
end;

end.
